#ifndef __GETHandler_h__
#define __GETHandler_h__

#include "Command.h"
#include "TCPSession.h"
#include "Log.h"
#include "IMFMessage.h"
#include "HTTPRequest.h"
#include "HTTPEntryPoints.h"

namespace http {

   class GETHandler : public core::Command {

    public:
      int processCommand(coreutils::ZString &request, core::TCPSession &session) override;

    private:
      HTTPRequest *httpRequest = NULL;
      bool processHTTPRequest(core::TCPSession &session);
      HTTPEntryPoints entryPoints;
   };

}

#endif
