#ifndef __HTTPPUTHandler_h__
#define __HTTPPUTHandler_h__

#include "Command.h"
#include "TCPSession.h"
#include "Log.h"
#include "IMFMessage.h"
#include "HTTPRequest.h"

namespace http {

   class HTTPPUTHandler : public core::Command {

    public:
      int processCommand(coreutils::ZString &request, core::TCPSession &session) override;

    private:
      HTTPRequest *httpRequest = NULL;
      bool processHTTPRequest(core::TCPSession &session);

   };

}

#endif
