#ifndef __HTTPRequest_h__
#define __HTTPRequest_h__

#include "IMFMessage.h"
#include "IMFRequest.h"
#include "IMFResponse.h"
#include <map>

namespace http {

   class HTTPRequest {

    public:
      HTTPRequest(coreutils::ZString &in);

      std::map<coreutils::ZString, coreutils::ZString> uriValues;

      coreutils::IMFRequest request;
      coreutils::IMFMessage message;
      coreutils::IMFResponse response;

   };

}

#endif
