#ifndef ____configure_h__
#define ____configure_h__

namespace http {

   class __configure : public HTTPPage {

    public:
      __configure(HTTPParameters &p) { page(p); }

      int page(HTTPParameters &p) override {

         p.data << "<form name=\"configure\" action=\"setupadmin\" method=\"POST\">"
                   " <div class=\"window\"><h1>System Configuration</h1>"
                   "   <div style=\"border: 1pt solid white; padding: 3px; margin-bottom: 5px;\">"
                   "    <div>Web Domain Name:</div>"
                   "    <input type=\"text\" name=\"domainname\" size=\"30\">"
                   "   </div>"
                   "   <div style=\"border: 1pt solid white; padding: 3px; margin-bottom: 5px;\">"
                   "    <div>View Directory:</div>"
                   "    <input type=\"text\" name=\"viewdirectory\" size=\"30\">"
                   "   </div>"
                   "   <div style=\"border: 1pt solid white; padding: 3px; margin-bottom: 5px;\">"
                   "    <div>Image Library Directory:</div>"
                   "    <input type=\"password\" name=\"imagelibrary\" size=\"30\">"
                   "   </div>"
                   "   <br><br>Session Id: " << p.httpSession.getSessionId() << ""
                   "   <br>The configuration has not yet been established for this web site.</p>"
                   "   <input type=\"button\" onmousedown=\"process('/mainmenu','configure', 'main'); return true;\" name=\"button1\" value=\"Update Configuration\">"
                   " </div></form>";

         p.httpRequest.response.addHeader(coreutils::IMFHeader("Content-Type", "text/html"));

         return true;
      }
   };
}

#endif
