#ifndef __HTTPPOSTHandler_h__
#define __HTTPPOSTHandler_h__

#include "Command.h"
#include "HTTPRequest.h"

namespace http {

   class HTTPPOSTHandler : public core::Command {

    public:
      int processCommand(coreutils::ZString &request, core::TCPSession &session) override;

    private:
      HTTPRequest *httpRequest = NULL;
      bool processHTTPRequest(core::TCPSession &session);

   };

}

#endif
